### Method

# Gio File enumerate_children_async

#### Declaration

    void
    g_file_enumerate_children_async (
      GFile* file,
      const char* attributes,
      GFileQueryInfoFlags flags,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously gets the requested information about the files in a directory. The result is a `GFileEnumerator` object that will give out `GFileInfo` objects for all the files in the directory.

For more details, see `g_file_enumerate_children()` which is the synchronous version of this call.

When the operation is finished, `callback` will be called. You can then call `g_file_enumerate_children_finish()` to get the result of the operation.

#### Parameters

`attributes`

  Type: `const char*`

  An attribute query string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GFileQueryInfoFlags`

  A set of `GFileQueryInfoFlags`.

`io_priority`

  Type: `int`

  The [I/O priority][io-priority] of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.